#
# spec file for package python-rencode
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-rencode
Version:        1.0.8
Release:        1.1
Summary:        Web safe object pickling/unpickling
License:        GPL-3.0-or-later
URL:            https://github.com/aresch/rencode
Source0:        https://github.com/aresch/rencode/archive/v%{version}.tar.gz
Source1:        %{name}.changes
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings. Python2 version of package

%prep
%setup -q -n rencode-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}/rencode

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitearch} $python tests/test_rencode.py

%files %{python_files}
%license COPYING
%{python_sitearch}/rencode
%{python_sitearch}/rencode-%{version}.dist-info

%changelog
* Tue Jul 22 2025 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.0.8:
  * Add new build file to build the cython extension and update
    pyproject.toml to use it.
* Wed Jun 11 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Mar  1 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.6:
  * Various packaging fixes
- Switch to github tarball to get all needed files (missing pyx on pypi)
- Run tests
* Thu Jul 20 2017 aloisio@gmx.com
- Set correct license
* Mon Jun  5 2017 aloisio@gmx.com
- Initial package (v. 1.0.5)
